%define mod_name HTTP-Negotiate
Name:           perl-%{mod_name}
Version:        6.01
Release:        23
Summary:        Choose a variant to serve
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/%{mod_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-interpreter perl-generators perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(Exporter)
BuildRequires:  perl(HTTP::Headers) >= 6 perl(HTTP::Request) perl(Test)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(HTTP::Headers) >= 6
Conflicts:      perl-libwww-perl < 6
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(HTTP::Headers\\)$

%description
This module provides a complete implementation of the HTTP content negotiation algorithm specified in
draft-ietf-http-v11-spec-00.ps chapter 12. Content negotiation allows for the selection of a preferred
content representation based upon attributes of the negotiable variants and the value of the various
Accept* header fields in the request.

%package        help
Summary:        Documentation for perl-%{mod_name}

%description    help
Documentation for perl-%{mod_name}.

%prep
%autosetup -n %{mod_name}-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_install pure_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%exclude %{_libdir}/perl5/perllocal.pod

%files help
%doc Changes README
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 zhoushuiqing <zhoushuiqing2@huawei.com> - 6.01-23
- define mod_name to opitomize the specfile

* Wed Nov 13 2019 dongjian <dongjian13@huawei.com> - 6.01-22
- Package init

* Wed Oct 23 2019 Zaiwang Li <lizaiwang1@huawei.com> - 6.01-22
- Init Package.
